Package csb :: Package statistics :: Package samplers :: Package mc :: Module singlechain :: Class SimpleProposalCommunicator

[frames] | no frames]

# Class SimpleProposalCommunicator

source code

    object --+
             |
            SimpleProposalCommunicator

Known Subclasses:
  - NCMCProposalCommunicator

This holds all the information needed to calculate the acceptance probability in both the RWMCSampler and HMCSampler classes, that is, only the proposal state. For more advanced algorithms, one may derive classes capable of holding the neccessary additional information from this class.

Nested Classes
| __metaclass__ Metaclass for defining Abstract Base Classes (ABCs).

Instance Methods

__init__(self, current_state, proposal_state) x.__init__(...) initializes x; see help(type(x)) for signature | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
| __abstractmethods__ = ``frozenset([``])``

Properties
| current_state
| proposal_state
Inherited from `object`: `__class__`

Method Details

### __init__(self, current_state, proposal_state)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Parameters:
  - `current_state` (State) - Current state
  - `proposal_state` (State) - Proposal state
Overrides: object.__init__
  (inherited documentation)

Property Details

### current_state

Get Method:
  unreachable.current_state(self)

### proposal_state

Get Method:
  unreachable.proposal_state(self)